;;; Gash --- Guile As SHell
;;; Copyright © 2018 Jan (janneke) Nieuwenhuizen <janneke@gnu.org>
;;;
;;; This file is part of Gash.
;;;
;;; Gash is free software; you can redistribute it and/or modify it
;;; under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 3 of the License, or (at
;;; your option) any later version.
;;;
;;; Gash is distributed in the hope that it will be useful, but WITHOUT ANY
;;; WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
;;; FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
;;; details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with Gash.  If not, see <http://www.gnu.org/licenses/>.

(define-module (gash config)
  #:export (%bzip2
            %commands
            %xz
            %compress
            %gzip
            %version))

;;; Commentary:
;;;
;;; Compile-time configuration of gash.  When adding a substitution variable
;;; here, make sure to have configure substitute it.
;;;
;;; Code:

(define %version
  "0.1-0.0a09ab1")

(define %bzip2
  "/gnu/store/9m6xz3hvh962wbdmz2apsbv6lr30qv0n-bzip2-1.0.6/bin/bzip2")

(define %compress
  (let ((compress "/gnu/store/cdm4dl274cxg8vkafr29d7j3l20yq86b-guile-gash-0.1-0.0a09ab1/bin/compress")
        (reloc (string-append (dirname (car (command-line))) "/compress")))
    (cond ((getenv "COMPRESS"))
          ((file-exists? compress) compress)
          ((file-exists? reloc) reloc))))

(define %commands
  (let* ((guile-site-ccache-dir "/gnu/store/cdm4dl274cxg8vkafr29d7j3l20yq86b-guile-gash-0.1-0.0a09ab1/lib/guile/2.2/site-ccache")
         (commands-dir (string-append guile-site-ccache-dir "/gash/commands")))
    (cond ((getenv "COMMANDS"))
          (else commands-dir))))

(define %gzip
  "/gnu/store/ynz5c5jk5gpsdlqs80qhq7ajk2d1acb2-gzip-1.9/bin/gzip")

(define %xz
  "/gnu/store/jybgkpawddhhnljkdmjqqq8xk1118qj9-xz-5.2.4/bin/xz")
